# SMS.awk
# (c) 1997-2001 J.E. Klasek jk AT auto tuwien ac at
#
# SMS-Filter mit Textkomprimierung
#
# Release 1999-01-19
#

### BITTE HIER MOBILNETZ-BETREIBER SMS-GATEWAY-TELEFONNUMMER EINTRAGEN. Z.B.
### fr Mobilkom A1 nur noch die 0000000 durch die konkrete Nummer ersetzen.

BEGIN {
	to="+436640000000@text.mobilkom.at";

	from="unknown";subject="no subject";
}


/^[ 	]*$/ && (body) { next }
/^[->:]/ && (body) { next }
/^On.*wrote:$/ && (body) { next }
/^Content-/ && (body) { next }
/^This is a [mM][iI][mM][eE]-/ && (body) { next }
(body) {
	l="";
	for(i=1;i<=NF;i++) {
		l=l substr($i,1,4);
		if(length($i)>4 && index(",:;?!-_.",substr($i,length($i),1))) {
			l=l substr($i,length($i),1);
		}
		if(i<NF) {
			l=l" ";
		}
	}
	if(c+length(l)>158) {
		printf("%s*",substr(l,1,158-c));
		exit 0;
	}
	else {
		c+=(length(l)+1)
	}
	printf("%s ",l);
	next;
}
/^$/ && (!body) {
	printf("From: %s\nTo: %s\nSubject: %s\n\n",from,to,subject);
	body=1;
	c=length(from)+length(subject)+2+2+1;
	next
}
/^From: / {
	from=substr($0,7);
	next
}
/^Subject: / {
	subject=substr($0,10);
	next
}
END {
	printf("\n");
}
